Summary: PEAR Database Abstraction Layer
%define name pear-db
%define version 1.7.6
%define release 4
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: PHP License
Group: Applications/Web
Source0: DB-%{version}.tgz
Url: http://pear.php.net/package/DB
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-%(id -u -n)-buildroot
BuildArchitectures: noarch
Requires: php

%changelog
* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Mon May 09 2005 Charlie Brady <charlieb@e-smith.com> 1.7.6-03es
- Move files into the right heirarchy so they will be found.

* Wed May 04 2005 Charlie Brady <charlieb@e-smith.com> 1.7.6-02es
- Fix URL header.

* Thu Apr 21 2005 Charlie Brady <charlieb@e-smith.com> 1.7.6-01es
- Initial

%description
DB is a database abstraction layer providing:
* an OO-style query API
* portability features that make programs written for one DBMS work with other DBMS's
* a DSN (data source name) format for specifying database servers
* prepare/execute (bind) emulation for databases that don't support it natively
* a result object for each query response
* portable error codes
* sequence emulation
* sequential and non-sequential row fetching as well as bulk fetching
* formats fetched rows as associative arrays, ordered arrays or objects
* row limit support
* transactions support
* table information interface
* DocBook and phpDocumentor API documentation

DB layers itself on top of PHP's existing
database extensions.

Drivers for the following extensions pass
the complete test suite and provide
interchangeability when all of DB's
portability options are enabled:

fbsql, ibase, informix, msql, mssql,
mysql, mysqli, oci8, odbc, pgsql,
sqlite and sybase.

There is also a driver for the dbase
extension, but it can't be used
interchangeably because dbase doesn't
support many standard DBMS features.

DB is compatible with both PHP 4 and PHP 5.

%prep
%setup -q -n DB-%{version}

%build

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/pear-addons/DB
mkdir -p $RPM_BUILD_ROOT/usr/share/pear-addons/doc/DB
mkdir -p $RPM_BUILD_ROOT/usr/share/pear-addons/test/DB
cp -rp DB* $RPM_BUILD_ROOT/usr/share/pear-addons
cp -rp doc $RPM_BUILD_ROOT/usr/share/pear-addons/doc/DB
cp -rp tests $RPM_BUILD_ROOT/usr/share/pear-addons/test/DB

%files
%defattr(-,root,root)
%dir /usr/share/pear-addons
%dir /usr/share/pear-addons/DB
/usr/share/pear-addons/*
